| OpenMS 2.5.0

ExecutePipeline

Executes workflows created by TOPPAS.

This tool is the non-GUI, i.e. command line version for non-interactive execution of TOPPAS pipelines. In order to really use this tool in batch-mode, you can provide a TOPPAS resource file (.trf) which specifies the input files for the input nodes in your pipeline.

*.trf files

A TOPPAS resource file (`*.trf`) specifies the locations of input files for a pipeline. It is an XML file following the normal TOPP INI file schema, i.e. it can be edited using the INIFileEditor or filled using a script (we do NOT provide one - sorry). It can be exported from TOPPAS (`File -> Save TOPPAS resource file`). For two input nodes 1 and 2 with files (`dataA.mzML`, `dataB.mzML`) and (`dataC.mzML`) respectively it has the following format.

<?xml version="1.0" encoding="ISO-8859-1"?>
<PARAMETERS version="1.3" xsi:noNamespaceSchemaLocation="http://open-ms.sourceforge.net/schemas/Param_1_3.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<NODE name="1" description="">
<ITEMLIST name="url_list" type="string" description="">
<LISTITEM value="file:///Users/jeff/dataA.mzML"/>
<LISTITEM value="file:///Users/jeff/dataB.mzML"/>
</ITEMLIST>
</NODE>
<NODE name="2" description="">
<ITEMLIST name="url_list" type="string" description="">
<LISTITEM value="file:///Users/jeff/dataC.mzML"/>
</ITEMLIST>
</NODE>
</PARAMETERS>

The command line parameters of this tool are:

    ExecutePipeline -- Executes workflows created by TOPPAS.

    Full documentation: http://www.openms.de/documentation/TOPP_ExecutePipeline.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      ExecutePipeline <options>

    Options (mandatory options marked with '*'):

      -in <file>*            The workflow to be executed. (valid formats: 'toppas')

      -out_dir <directory>   Directory for output files (default: user's home directory)

      -resource_file <file>  A TOPPAS resource file (*.trf) specifying the files this workflow is to be applied

                             to

      -num_jobs <integer>    Maximum number of jobs running in parallel (default: '1' min: '1')

    Common TOPP options:

      -ini <file>            Use the given TOPP INI file

      -threads <n>           Sets the number of threads allowed to be used by the TOPP tool (default: '1')

      -write_ini <file>      Writes the default configuration file

      --help                 Shows options

      --helphelp             Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+ExecutePipeline Executes workflows created by TOPPAS.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'ExecutePipeline'
in The workflow to be executed.input file*.toppas
out_dir Directory for output files (default: user's home directory)
resource_file A TOPPAS resource file (*.trf) specifying the files this workflow is to be applied to
num_jobs 1 Maximum number of jobs running in parallel 1:∞
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false